Subject: Re: bug#45200: [PATCH] Force Glibc to free the memory freed

From: Konstantin Kharlamov <[email-masked]>
Date: Wed, 03 Feb 2021 16:00:42 +0300

On Wed, 2021-02-03 at 13:56 +0100, martin rudalics wrote:
>  > Yes. I think you misread this thread, the case where the problem first
>  > came up is exactly running GC on idle.
> 
> In your "Force Glibc to free the memory freed" patch I nowhere see that
> you do that only when running GC on idle.  What am I missing?

Haha, you seem to have jumped over explanations straight to discussing a discussion about an alternative implementation, even though the discussion has never happened :D

Now I see what you mean, your idea is to run `malloc_trim(0)` only on idle. That sounds okay with me.

Stefan, what do you think? Will it be okay if I implement a patch that runs `malloc_trim(0)` when Emacs is idle?